Pidgin2Adium 3.1.1 Released

by gabebw

Well, this is a bit late, but Pidgin2Adium 3.1.1 was released. So go out and do a gem install pidgin2adium today! Read on for what’s changed.
Source: http://github.com/gabebw/pidgin2adium/tree/v3.1.0
Gemcutter: http://rubygems.org/gems/pidgin2adium

Straight from the ChangeLog:

  • Moved BasicParser and its subclasses into parsers/ subdir
    • You can now do “require 'pidgin2adium/parsers/all'“,
      though the old “require 'pidgin2adium/log_parser'” will still work
  • Moved Message and its subclasses into messages/ subdir
    • You can now do “require 'pidgin2adium/messages/all'“,
      though the old “require 'pidgin2adium/message'” will still work
  • I also actually removed the balance_tags.rb file (the old Ruby implementation of balance_tags_c)
  • LogFile now has Enumerable included so that you can do log_file.each_with_index {|msg, i| …. } or log_file.max(), which will give the  message in the LogFile that was sent most recently, and log_file.min(), which will give the oldest message (the message sent the longest time ago).
Advertisements